import React from 'react';

interface InputProps {
  label: string;
  name: string;
  type: string;
  [x: string]: any; // Allow for any other props
}

const Input: React.FC<InputProps> = ({ label, name, type, ...props }) => {
  return (
    <div className="mb-2">
      <label htmlFor={name} className="form-label">
        {label}
      </label>
      <input
        id={name}
        name={name}
        type={type}
        className="form-control"
        {...props}
      />
    </div>
  );
};

export default Input;
